### Name: grenader
### Title: Grenander Estimator of a Decreasing Density
### Aliases: grenander plot.grenander
### Keywords: univar

### ** Examples

# load "fdrtool" library
library("fdrtool")

# samples from random exponential variable 
z = rexp(30,1)
e = ecdf(z)
g = grenander(e)
g
plot(g) # plot ecdf, concave cdf, and Grenander estimator

# for comparison the kernel density estimate
plot(density(z)) 

# area under the Grenander density estimator 
sum( g$f.knots[-length(g$f.knots)]*diff(g$x.knots) )



